/* Generic reset and Box-Sizing */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

/* Color global variables and system scheme */

/* Default (Dark) */
:root {
  --primary1: #323232;
  --primary2: #262626;
  --menubg: #202020;
  --text: white;
  --goldtwo: #ddbf5f;
  --goldone: #d4af37;
  --subcolor: var(--primary1);
  --subcoloralpha: rgba(50, 50, 50, 0.5);
}

/* Dark */
@media (prefers-color-scheme: dark) {
  :root {
    --primary1: #323232;
    --primary2: #262626;
    --menubg: #202020;
    --text: white;
    --goldtwo: #ddbf5f;
    --goldone: #d4af37;
    --subcolor: var(--primary1);
    --subcoloralpha: rgba(50, 50, 50, 0.5);
  }
}

/* Light */
@media (prefers-color-scheme: light) {
  :root {
    --primary1: #ffffff;
    --primary2: #f0f0f0;
    --menubg: #ffffff;
    --text: #404040;
    --goldtwo: #ddbf5f;
    --goldone: #d4af37;
    --subcolor: var(--primary1);
    --subcoloralpha: rgba(255, 255, 255, 0.5);
  }
}

body {
  font-family: "Source Sans Pro", sans-serif;
  font-weight: 300;
  font-size: max(1.1rem, 1.1vw);
  color: var(--text);
  line-height: 1.5rem;
  background-color: var(--primary1);
}

/* Links */
a {
  text-decoration: none;
  color: var(--text);
}
a:visited {
  color: var(--text);
}
a:hover {
	color: var(--goldtwo);
}

.nodots {
  list-style: none;
}

/* Lists */
ul {
  margin-top: 1em;
  margin-bottom: 1em;
  padding-left: 1.5em;
}

/* Text Alignement Optionen */
.align_left {
  text-align: left;
}

.align_center {
  text-align: center;
}

/* Text Größen */
.t1 {
  font-size: max(1.5rem, 1.5vw);
  font-weight: 600;
  font-style: normal;
  margin-top: 1em;
}
.t2 {
  font-size: max(1.3rem, 1.3vw);
  font-weight: 400;
  font-style: normal;
  margin-top: 1em;
}
.t3 {
  font-size: max(1.2rem, 1.1vw);
  font-weight: 300;
  font-style: normal;
  line-height: 2.0rem;
  margin: 1rem;;
}
.t4 {
  font-size: max(0.9rem, 0.8vw);
  font-weight: 200;
  font-style: normal;
  line-height: 1.0rem;
  margin: 1rem;;
}

/* Headings */
h1 {
  font-size: max(1.9rem, 1.9vw);
  text-transform: uppercase;
  line-height: 3rem;
}

h2 {
  font-size: max(1.7rem, 1.7vw);
  line-height: 2rem;
}

h3 {
  font-size: max(1.4rem, 1.4vw);
  line-height: 2rem;
}

h4 {
  font-size: max(1.2rem, 1.2vw);
  line-height: 2rem;
  font-weight: 400;
}

h5 {
  font-size: max(1.0rem, 1.0vw);
  line-height: 2rem;
}

/* Header and menu */
header {
    position: sticky;
    top: 0px;
    background-color: var(--menubg);
    width: 100%;
    z-index: 1000;
    border-bottom: 1px solid var(--primary2);
}

header ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

/* Main header container */
.container {
    max-width: 90%;
    padding: 0;
    margin: 0 auto;
    display: flex;
    position: relative;
}

.logo {
  flex: 1;
  color: var(--text);
  font-size: max(1.5rem, 1.5vw);
  font-weight: 600;
  letter-spacing: 2px;
  text-transform: uppercase;
  line-height: 3rem;
}
.logo span {
    font-weight: 300;
}

.menu {
  display: flex;
  justify-content: space-between;
  flex: 4;
}

.buttons {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex: 1;
}

/* Menu button */
.mbtn {
    display: inline-block;
    padding: .5rem 1.3rem;
    font-size: max(1.0rem, 0.9vw);
    border-radius: 2rem;
    line-height: 1;
    text-transform: uppercase;
    background-color: var(--primary2);
    color: var(--text);
    transition: .5s ease;
}

.mbtn:hover {
    color: var(--goldtwo);
    transition: .5s ease;
}

.mbtn > i {
  margin-left: 5px;
}

.links > ul {
    display: flex;
    justify-content: center;
    align-items: center;
}

.link {
    position: relative;
}

.link > a,
.link > p {
    line-height: 3rem;
    padding: 0 .8rem;
    letter-spacing: 1px;
    font-size: max(1.0rem, 0.9vw);
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: .5s;
}

.link > a {
  color: var(--goldtwo);
}
.link > p {
  color: var(--goldone);
  cursor: default;
}

.link > a > i,
.link > p > i {
    margin-left: .2rem;
}

.dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    width: 12rem;
    transform: translateY(10px);
    opacity: 0;
    pointer-events: none;
    transition: .5s;
}

.dropdown ul {
    position: relative;
}

.dropdown-link > a {
    display: flex;
    background-color: var(--menubg);
    color: var(--text);
    padding: .5rem 1rem;
    font-size: max(1.0rem, 0.9vw);
    align-items: center;
    justify-content: space-between;
}

.dropdown-link:hover > a {
    background-color: var(--goldtwo);
    color: var(--text);
}

.dropdown-link:not(:last-child) {
    border-bottom: 1px solid #efefef;
    border-bottom-color: var(--primary2);
}

.dropdown-link i {
    transform: rotate(-90deg);
}

.dropdown-link {
    position: relative;
}

.link:hover > .dropdown,
.dropdown-link:hover > .dropdown {
    transform: translate(0, 0);
    opacity: 1;
    pointer-events: auto;
}

/* Mobiles Menü */
input#check {display:none}
label.check {display:none}

@media (max-width: 1000px){
  .menu {
    position: fixed;
    height: calc(100vh - 3rem);
    top: 3rem;
    left: 0;
    width: 100%;
    background-color: var(--menubg);
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    overflow-x: hidden;
    overflow-y: auto;
    transform: translateX(100%);
    transition: .65s;
  }
    
  label.check { 
    display: block;
    position: absolute;
    top: 13px;
    right: 0px;
    font-size: max(1.5rem, 1.5vw);
    cursor: pointer;
  }
    
  #check:checked ~ .menu {
    transform: translateX(0);
  }

  #check:checked ~ .menu .link,
  #check:checked ~ .menu .buttons {
    opacity: 1;
  }

  .links {
    flex: initial;
    width: 100%;
  }

  .links > ul {
    flex-direction: column;
  }

  .link {
    width: 100%;
    opacity: 0;
    transform: translateY(15px);
  }

  .link > a,
  .link > p {
    line-height: 1;
    padding: 1.6rem 2rem;
  }

  .link:hover > a,
  .link:hover > p {
    transform: scale(1);
    background-color: var(--primary2);
  }

  .dropdown {
    position: initial;
    top: initial;
    left: initial;
    transform: initial;
    opacity: 1;
    pointer-events: auto;
    width: 100%;
    padding: 0;
    background-color: var(--menubg);
    display: none;
  }
  
  .link:hover > .dropdown,
  .dropdown-link:hover > .dropdown {
    display: block;
  }

  .link:hover > a > i,
  .dropdown-link:hover > a > i {
    transform: rotate(360deg);
  }

  .dropdown-link > a {
    background-color: transparent;
    color: var(--text);
    padding: 1.2rem 2rem;
    line-height: 1;
  }

  .dropdown-link {
    border-bottom: none;
  }

  .dropdown-link:hover > a {
    background-color: var(--goldtwo);
    color: var(--text);
  }

  .link > a > i,
  .link > p > i {
    font-size: max(1.0rem, 1.0vw);
    transform: rotate(-90deg);
    transition: .7s;
  }

  .dropdown i {
    font-size: max(1.0rem, 1.0vw);
    transition: .7s;
  }
  
  .buttons {
    flex: initial;
    width: 100%;
    padding: 1.5rem 1.9rem;
    justify-content: flex-start;
    opacity: 0;
    transform: translateY(15px);
  }
}

/* End Header and menu */

footer {
  text-align: center;
  margin-top: 5%;
}

footer a {
  padding: 5px;
}

footer > p {
  margin-bottom: 1rem;
}

main p {
  margin-bottom: 1rem;
}

/* CONTENT SECTIONS */
/* Margins:
 * Large sections have no margins.
 * Small sections SIDE and TOP margins.
 * Banner has no margins, except if directly followed by a small section.
 */
 
 /* Text section */
.textsection_large {
  padding: 3rem 10%;
  text-align: center;
  background-color: var(--primary2);
}
.textsection_small {
  margin: 5% 15% 0;
  padding: 2rem 15%;
  text-align: center;
  background-color: var(--primary2);
}

/* Content section */
.contentsection_large {
  padding: 1rem 4rem;
  text-align: center;
  background-color: var(--primary2);
}
.contentsection_small {
  margin: 5% 15% 0;
  padding: 0;
  text-align: center;
  background-color: var(--primary2);
}


/* Banner section */
.bannersection {
  background-color: var(--primary2);
  position: relative;
  width: 100%;
  overflow: hidden;
  margin: 0;
}

/* Always have a top margin small sections and large ones */
.textsection_small + .textsection_large,
.contentsection_small + .contentsection_large,
.textsection_small + .contentsection_large,
.contentsection_small + .textsection_large {
  margin-top: 5%;
}

.bannersection img {
  display: block;
  width: 100%;
}

.bannersection_overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  padding: 20px;
  border-radius: 2px;
  
  background: linear-gradient(
    to right bottom,
    rgba(255, 255, 255, 0.3),
    rgba(255, 255, 255, 0.2)
  );
  z-index: 2;
  backdrop-filter: blur(20px);
}


/* Mobile sections */
@media only screen and (max-width: 1000px) {
  .contentsection_small,
  .textsection_small {
    margin: 5% 5% 0;
  }
  
  .textsection_large,
  .contentsection_large  {
    padding: 2rem 5%;
  }
}

/* Color variation for large sections */
/* Ideally do that automatically, but meh */
.colorvar {
    background-color: var(--primary1);
    --subcolor: var(--primary2);
}

/*****************
 * Grid wrappers *
 *****************/

/* Content Wrapper */
.content_wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-flow: dense;
  grid-gap: 50px;
  margin: 1em auto;
  padding: 0;
}

/* Gallery Wrapper */
.wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-auto-flow: dense;
  grid-gap: 5px;
}

.wrapper div img {
  display: block;
  width: 100%;
  height: 100%;
}
.content_wrapper div img.block_image {
  display: block;
  width: 100%;
}

/* Grid declarations for both content_wrapper and wrapper */
.content_wrapper div.landscape, .wrapper div.landscape {
  grid-column: span 1;
  grid-row: span 3;
  position: relative;
}
.content_wrapper div.portrait, .wrapper div.portrait {
  grid-column: span 1;
  grid-row: span 6;
  position: relative;
}
.content_wrapper div.wide, .wrapper div.wide {
  grid-column: span 2;
  grid-row: span 3;
  position: relative;
}

@media only screen and (max-width: 1000px) {
  .content_wrapper, .wrapper {
    grid-template-columns: 1fr;
  }
  .content_wrapper div.landscape, .wrapper div.landscape {
    grid-column: span 1;
  }
  .content_wrapper div.portrait, .wrapper div.portrait {
    grid-column: span 1;
  }
  .content_wrapper div.wide, .wrapper div.wide {
    grid-column: span 1;
  }
}

/******************
 * Content Box Grid   *
 ******************/
.cbox {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-auto-flow: dense;
  gap: 0.5rem;
  padding: 0;
}

.cbox ul {
  margin: 0;
  padding: 0;
}

.cbox div.one {
  grid-column: span 1 / auto;
}
.cbox div.two {
  grid-column: span 2 / auto;
}

.cbox div img {
  display: block;
  width: 100%;
  height: 100%;
}

.cbox div.text,
.cbox div.text2 {
  padding: 20px;
  align-self: center;
  text-align: center;
}

.cbox .head {
  color: var(--goldone);
  font-style: italic;
  font-size: max(1.2rem, 1.2vw);
  font-weight: 400;
}

.cbox .big {
  margin-bottom: 1rem;
  font-size: max(1.2rem, 1.2vw);
  font-weight: 400;
}

.cbox .medium {
  margin-bottom: 1rem;
  font-size: max(1.1rem, 1.1vw);
  font-weight: 300;
}

.cbox .small {
  margin-bottom: 1rem;
  font-size: max(1.0rem, 1.0vw);
  font-weight: 200;
}

.cbox img {
  border-radius: 0;
}

@media only screen and (max-width: 1000px) {
  .cbox {
    grid-template-columns: 1fr;
  }

  .cbox div.one {
    grid-column: span 1;
  }

  .cbox div.two {
    grid-column: span 1;
  }
}

/* Product / Text Box */
div.box {
  background-color: var(--subcolor);
}

div.box .head {
  padding: 10px;
  background-color: var(--goldone);
  color: var(--text);
  font-size: max(1.5rem, 1.5vw);
  font-weight: 400;
}

div.box .content {
  padding: 1rem 2rem;
  text-align: left;
}

div.box ul {
  margin: 0;
  padding-left: 1rem;
}

div.box li {
  line-height: 1.6rem;
}

/* Button */
.btn {
  display:inline-block;
  border-radius: 5px;
  border: solid;
  font-weight: 400;
  border-color: var(--goldone);
  border-width: 3px;
  padding: 12px 30px;
  cursor: pointer;
  font-size: max(1.0rem, 1.2vw);
  text-decoration: none;
  margin-top: 1rem;
  margin-bottom: 1rem;
  transition: .5s ease;
}

.btn:hover {
  transition: .5s ease;
  border-color: var(--goldtwo);
  color: var(--text);
}

/* Donate Button */
.btn_donate {
  display:inline-block;
  background: #DE3163;
  border-radius: 5px;
  border: solid;
  font-weight: 400;
  border-color: var(--subcolor);
  border-width: 3px;
  padding: 12px 30px;
  cursor: pointer;
  font-size: max(1.0rem, 1.2vw);
  text-decoration: none;
  margin-top: 1rem;
  margin-bottom: 1rem;
  transition: .5s ease;
}

.btn_donate:hover {
  transition: .5s ease;
  color: var(--text);
}

/* Donate Button */
.btn_action {
  display:inline-block;
  border-radius: 5px;
  border: solid;
  font-weight: 400;
  border-color: var(--subcolor);
  border-width: 3px;
  padding: 12px 30px;
  cursor: pointer;
  font-size: max(1.0rem, 1.2vw);
  text-decoration: none;
  margin-top: 1rem;
  margin-bottom: 1rem;
  transition: .5s ease;
}

.btn_action:hover {
  transition: .5s ease;
  color: var(--text);
}

/* CSS Arrow */
.arrow_box {
  position: relative;
  background-color: var(--subcolor);
  border-radius: 8px;
  margin-bottom: 1rem;
  padding: 20px;
}
.arrow_box::after {
  top: 100%;
  left: 60%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-color: rgba(255, 255, 255, 0);
  border-top-color: var(--subcolor);
  border-width: 20px;
  margin-left: -20px;
}

.arrow_box_who {
  border-radius: 50%;
  text-align: center;
}

.arrow_box_who img {
  border-radius: 50%;
  vertical-align: middle;
}

.arrow_box_who span {
  padding-left: 5px;
  vertical-align: middle;
  font-weight: 400;
}

/* Contact */
.li_contact_items {
  padding-top: 5px;
}
a.after_icon {
	padding-left: 1rem;
}

i.before_text {
  padding-right: 0.5rem;
}

.two_column {
  column-count: 2;
}

/* Instagram Linklist */
.insta_top_img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.separator {
  display: flex;
  align-items: center;
  text-align: center;
  margin-left: 5%;
  margin-right: 5%;
  margin-top: 10px;
  margin-bottom: 10px;
}
.separator::before, .separator::after {
  content: '';
  flex: 1;
  border-bottom: 1px solid #000;
}
.separator::before {
  margin-right: .5em;
}
.separator::after {
  margin-left: .5em;
}

.insta_button, .insta_button:visited, .insta_button:hover {
  display:inline-block;
  border-radius: 5px;
  font-weight: 300;
  color: white;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 20px;
  text-decoration: none;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  width: 80%;
}

.insta_button#amazon {
  background-color: #ff9900;
}
.insta_button#facebook {
  background-color: #4267B2;
}
.insta_button#youtube {
  background-color: #FF0000;
}
.insta_button#podcast {
  background-color: black;
}
.insta_button#website {
  background-color: DodgerBlue;
}
.insta_button#human {
  background-color: #ffa400;
}

.presse_container {
  column-gap: 3rem;
  margin-top: 3em;
  margin-bottom: 3em;
  column-count: 1;
  break-inside: avoid;
}

.presse_container div img {
  max-width: 100%;
  max-height: 90vh;
  margin-left: auto;
  margin-right: auto;
  display: block;
  margin-bottom: 5rem;
}